name: Deploy Vue App

# 触发条件：推送到 master 分支时执行
on:
  push:
    branches: ['master']

env:
  IP: 106.15.181.192
  REMOTE_DIR: /www/wwwroot/tb.test.haizhiyustc.com/
jobs:
  build-and-deploy:
    # 运行在已注册的 runner 上（确保 runner 标签匹配，默认无标签可省略）
    runs-on: [test]
    steps:
      # 步骤 4：部署到服务器
      - name: Deploy to server
        run: |
          cd D:\tools\tool-node
          npm install
          git pull
          net stop tool-node
          net start tool-node
